Page MenuHomePhabricator

APINotes: add bitcode format schema definitions
ClosedPublic

Authored by compnerd on Nov 23 2020, 1:39 PM.

Details

Summary

This adds the bitcode format schema required for serialization of the
YAML data to a binary format. APINotes are pre-compiled and re-used in
the binary format from the frontend. These definitions provide the data
layout representation enabling writing (and eventually) reading of the
data in bitcode format.

Diff Detail

Event Timeline

compnerd created this revision.Nov 23 2020, 1:39 PM

Gentle post-holiday reminder :)

martong accepted this revision.Dec 2 2020, 3:53 AM

Looks good, thanks!

This revision is now accepted and ready to land.Dec 2 2020, 3:53 AM
This revision was landed with ongoing or failed builds.Dec 8 2020, 1:16 PM
This revision was automatically updated to reflect the committed changes.